[Date Prev][Date Next] [Thread Prev][Thread Next]
[Thread Index]
[Date Index]
[Author Index]
rpms/pv/EL-4 Makefile,1.2,1.3
- From: Jakub Hrozek (jhrozek) <fedora-extras-commits redhat com>
- To: fedora-extras-commits redhat com
- Subject: rpms/pv/EL-4 Makefile,1.2,1.3
- Date: Wed, 1 Aug 2007 06:43:09 -0400
Author: jhrozek
Update of /cvs/extras/rpms/pv/EL-4
In directory cvs-int.fedora.redhat.com:/tmp/cvs-serv4367
Modified Files:
Makefile
Log Message:
Correct Makefile
Index: Makefile
===================================================================
RCS file: /cvs/extras/rpms/pv/EL-4/Makefile,v
retrieving revision 1.2
retrieving revision 1.3
diff -u -r1.2 -r1.3
--- Makefile 1 Aug 2007 10:36:05 -0000 1.2
+++ Makefile 1 Aug 2007 10:42:36 -0000 1.3
@@ -1,15 +1,21 @@
-# Top level Makefile for module pv
-all : CVS/Root common-update
- @cvs update
+# Makefile for source rpm: pv
+# $Id$
+NAME := pv
+SPECFILE = $(firstword $(wildcard *.spec))
-common-update : common
- @cd common && cvs update
+define find-makefile-common
+for d in common ../common ../../common ; do if [ -f $$d/Makefile.common ] ; then if [ -f $$d/CVS/Root -a -w $$/Makefile.common ] ; then cd $$d ; cvs -Q update ; fi ; echo "$$d/Makefile.common" ; break ; fi ; done
+endef
-common : CVS/Root
- @cvs checkout common
+MAKEFILE_COMMON := $(shell $(find-makefile-common))
-CVS/Root :
- @echo "ERROR: This does not look like a CVS checkout" && exit 1
+ifeq ($(MAKEFILE_COMMON),)
+# attept a checkout
+define checkout-makefile-common
+test -f CVS/Root && { cvs -Q -d $$(cat CVS/Root) checkout common && echo "common/Makefile.common" ; } || { echo "ERROR: I can't figure out how to checkout the 'common' module." ; exit -1 ; } >&2
+endef
-clean :
- @find . -type f -name *~ -exec rm -fv {} \;
+MAKEFILE_COMMON := $(shell $(checkout-makefile-common))
+endif
+
+include $(MAKEFILE_COMMON)
[Date Prev][Date Next] [Thread Prev][Thread Next]
[Thread Index]
[Date Index]
[Author Index]